# Send messages in the BoxTrapper queue

This function delivers messages in the BoxTrapper queue.

Important:

When you disable the
Receive Mail role,
the system disables this function.

Endpoint: GET /BoxTrapper/deliver_messages
Version: 11.136.0.13
Security: BasicAuth

## Query parameters:

  - `email` (string, required)
    The sender's cPanel account email address for which to deliver email messages.

Warning:

If you call this function in Webmail, the system ignores this parameter
and defaults to the currently-authenticated email address.
    Example: "user@example.com"

  - `queuefile` (string, required)
    The filename of the email messages to deliver.

Note:

To deliver multiple email messages, pass this parameter multiple times.

  - `all_like` (integer)
    Whether to deliver all messages that resemble the queuefile parameter's value.

* 1 - Deliver all similar messages.
* 0 - Don't deliver all similar messages.
    Enum: 0, 1

## Response 200 fields (application/json):

  - `apiversion` (integer)
    The version of the API.
    Example: 3

  - `func` (string)
    The name of the method called.
    Example: "deliver_messages"

  - `module` (string)
    The name of the module called.
    Example: "BoxTrapper"

  - `result` (object)

  - `result.data` (array)
    The delivered email message information.

  - `result.data.email` (string)
    The delivered email message's sender.
    Example: "user@example.com"

  - `result.data.failed` (integer)
    Whether the system could not deliver the message.

Note:

 * The function only returns this value if it doesn't deliver the message.
 * 1 is the only possible value.
    Enum: 1

  - `result.data.matches` (array)
    A list of delivered email messages.
    Example: ["example.msg"]

  - `result.data.operator` (string)
    The action that the function performed.

* deliver
* deliverall
    Enum: "deliver", "deliverall"

  - `result.data.reason` (string)
    A message about the failure or the warning.

Note:

The function only returns this value if it doesn't delete the message or experiences
issues when it deletes the message.
    Example: "This is a failure message."

  - `result.data.warning` (integer)
    Whether the system experienced issues when it delivered the message.

Note:

 * The function only returns this value if it experiences issues when it delivers the message.
 * 1 is the only possible value.
    Enum: 1

  - `result.errors` (array,null)
    List of errors if the API failed.

  - `result.messages` (array,null)
    List of messages generated by the API.

  - `result.metadata` (object)

  - `result.metadata.transformed` (integer)
    Post-processing may have transformed the data.
    Enum: 1

  - `result.status` (integer)
    * 1 - Success.
* 0 - Failed. Check the errors field for more details.
    Enum: 0, 1

  - `result.warnings` (array,null)
    List of warnings generated by the API. Warnings describe non-critical failures or other problematic conditions noted while running a API.


